clear
clc
close all
%Simulation of full RST 
load BF_mod
load RST_full
Ts=0.05;
Tend=5;
d_amp=-0.5;
[t,x,out]=sim('pid_analysis');
y=y.signals.values;
u=u.signals.values;
subplot(2,1,1)
plot(t,y,'k','linewidth',2)
grid
subplot(2,1,2)
plot(t,u,'k','linewidth',2)
grid

%Simulation of reduced RST32 with CONID2 
load RST32_Conid2
[t,x,out]=sim('pid_analysis');
y1=y.signals.values;
u1=u.signals.values;
subplot(2,1,1)
hold on
plot(t,y1,'k--','linewidth',2)
subplot(2,1,2)
hold on
plot(t,u1,'k--','linewidth',2)

%Simulation of reduced RST with CONID 
load RST_Conid
[t,x,out]=sim('pid_analysis');
y1=y.signals.values;
u1=u.signals.values;
subplot(2,1,1)
hold on
plot(t,y1,'k:','linewidth',2)
subplot(2,1,2)
hold on
plot(t,u1,'k:','linewidth',2)


%Simulation of reduced RST with CONID2 
load RST_Conid2
[t,x,out]=sim('pid_analysis');
y2=y.signals.values;
u2=u.signals.values;
subplot(2,1,1)
hold on
plot(t,y2,'k-.','linewidth',2)
ylabel('Output (Volt)','FontSize',12,'FontWeight','Bold');
xlabel('Time (s)','FontSize',12,'FontWeight','Bold');
title('Flexible Transmission : PID Comparison','FontSize',12,'FontWeight','Bold');
%legend('Full RST','RST Reduction (CLOM): n_{R}=3,n_{S}=3','PID from RST Reduction (CLIM)','PID from RST Reduction (CLOM)',4)
%axis([0 5 0 1.6])
subplot(2,1,2)
hold on
plot(t,u2,'k-.','linewidth',2)
ylabel('Control Signal (Volt)','FontSize',12,'FontWeight','Bold');
xlabel('Time (s)','FontSize',12,'FontWeight','Bold');
legend('Full RST','RST Reduction (CLOM): n_{R}=3,n_{S}=3','PID from RST Reduction (CLIM)','PID from RST Reduction (CLOM)',4)
